(********************************************)
(* TMTDLL 2.16 - an OOP example             *)
(* Object definition unit                   *)
(* Copyleft (C) 2000 Virtual Research       *)
(********************************************)

unit objdef;            (* object definition *)

interface

type TTestObject=object
 constructor Init;
 destructor Done;virtual;
public
 procedure WriteMessage;virtual;
private
 message:string;
end;
     PTestObject=^TTestObject;


implementation

constructor TTestObject.Init;
begin
 WriteLn('Initializing object');
 message:='Hello from object!';
end;

destructor TTestObject.Done;
begin
 WriteLn('Finalizing object');
end;

procedure TTestObject.WriteMessage;
begin
 WriteLn(message);
end;

end.

